"Fossies" - the Fresh Open Source Software Archive

Member "wcalc-2.5/Makefile.in" (2 Jan 2015, 27496 Bytes) of package /linux/privat/wcalc-2.5.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "Makefile.in": 2.4.1_vs_2.5.

    1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 VPATH = @srcdir@
   17 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
   18 am__make_running_with_option = \
   19   case $${target_option-} in \
   20       ?) ;; \
   21       *) echo "am__make_running_with_option: internal error: invalid" \
   22               "target option '$${target_option-}' specified" >&2; \
   23          exit 1;; \
   24   esac; \
   25   has_opt=no; \
   26   sane_makeflags=$$MAKEFLAGS; \
   27   if $(am__is_gnu_make); then \
   28     sane_makeflags=$$MFLAGS; \
   29   else \
   30     case $$MAKEFLAGS in \
   31       *\\[\ \	]*) \
   32         bs=\\; \
   33         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   34           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   35     esac; \
   36   fi; \
   37   skip_next=no; \
   38   strip_trailopt () \
   39   { \
   40     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   41   }; \
   42   for flg in $$sane_makeflags; do \
   43     test $$skip_next = yes && { skip_next=no; continue; }; \
   44     case $$flg in \
   45       *=*|--*) continue;; \
   46         -*I) strip_trailopt 'I'; skip_next=yes;; \
   47       -*I?*) strip_trailopt 'I';; \
   48         -*O) strip_trailopt 'O'; skip_next=yes;; \
   49       -*O?*) strip_trailopt 'O';; \
   50         -*l) strip_trailopt 'l'; skip_next=yes;; \
   51       -*l?*) strip_trailopt 'l';; \
   52       -[dEDm]) skip_next=yes;; \
   53       -[JT]) skip_next=yes;; \
   54     esac; \
   55     case $$flg in \
   56       *$$target_option*) has_opt=yes; break;; \
   57     esac; \
   58   done; \
   59   test $$has_opt = yes
   60 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   61 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   62 pkgdatadir = $(datadir)/@PACKAGE@
   63 pkgincludedir = $(includedir)/@PACKAGE@
   64 pkglibdir = $(libdir)/@PACKAGE@
   65 pkglibexecdir = $(libexecdir)/@PACKAGE@
   66 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   67 install_sh_DATA = $(install_sh) -c -m 644
   68 install_sh_PROGRAM = $(install_sh) -c
   69 install_sh_SCRIPT = $(install_sh) -c
   70 INSTALL_HEADER = $(INSTALL_DATA)
   71 transform = $(program_transform_name)
   72 NORMAL_INSTALL = :
   73 PRE_INSTALL = :
   74 POST_INSTALL = :
   75 NORMAL_UNINSTALL = :
   76 PRE_UNINSTALL = :
   77 POST_UNINSTALL = :
   78 subdir = .
   79 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
   80 	$(top_srcdir)/configure $(am__configure_deps) AUTHORS COPYING \
   81 	ChangeLog INSTALL NEWS README config/compile depcomp \
   82 	config/depcomp install-sh config/install-sh missing \
   83 	config/missing mkinstalldirs config/ylwrap \
   84 	$(top_srcdir)/config/compile $(top_srcdir)/config/install-sh \
   85 	$(top_srcdir)/config/missing
   86 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   87 am__aclocal_m4_deps = $(top_srcdir)/config/readline.m4 \
   88 	$(top_srcdir)/configure.ac
   89 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   90 	$(ACLOCAL_M4)
   91 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
   92  configure.lineno config.status.lineno
   93 mkinstalldirs = $(install_sh) -d
   94 CONFIG_HEADER = $(top_builddir)/src/common/includes/config.h
   95 CONFIG_CLEAN_FILES =
   96 CONFIG_CLEAN_VPATH_FILES =
   97 AM_V_P = $(am__v_P_@AM_V@)
   98 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
   99 am__v_P_0 = false
  100 am__v_P_1 = :
  101 AM_V_GEN = $(am__v_GEN_@AM_V@)
  102 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  103 am__v_GEN_0 = @echo "  GEN     " $@;
  104 am__v_GEN_1 = 
  105 AM_V_at = $(am__v_at_@AM_V@)
  106 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  107 am__v_at_0 = @
  108 am__v_at_1 = 
  109 SOURCES =
  110 DIST_SOURCES =
  111 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  112 	ctags-recursive dvi-recursive html-recursive info-recursive \
  113 	install-data-recursive install-dvi-recursive \
  114 	install-exec-recursive install-html-recursive \
  115 	install-info-recursive install-pdf-recursive \
  116 	install-ps-recursive install-recursive installcheck-recursive \
  117 	installdirs-recursive pdf-recursive ps-recursive \
  118 	tags-recursive uninstall-recursive
  119 am__can_run_installinfo = \
  120   case $$AM_UPDATE_INFO_DIR in \
  121     n|no|NO) false;; \
  122     *) (install-info --version) >/dev/null 2>&1;; \
  123   esac
  124 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  125 am__vpath_adj = case $$p in \
  126     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  127     *) f=$$p;; \
  128   esac;
  129 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  130 am__install_max = 40
  131 am__nobase_strip_setup = \
  132   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  133 am__nobase_strip = \
  134   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  135 am__nobase_list = $(am__nobase_strip_setup); \
  136   for p in $$list; do echo "$$p $$p"; done | \
  137   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  138   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  139     if (++n[$$2] == $(am__install_max)) \
  140       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  141     END { for (dir in files) print dir, files[dir] }'
  142 am__base_list = \
  143   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  144   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  145 am__uninstall_files_from_dir = { \
  146   test -z "$$files" \
  147     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  148     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  149          $(am__cd) "$$dir" && rm -f $$files; }; \
  150   }
  151 man1dir = $(mandir)/man1
  152 am__installdirs = "$(DESTDIR)$(man1dir)"
  153 NROFF = nroff
  154 MANS = $(man_MANS)
  155 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  156   distclean-recursive maintainer-clean-recursive
  157 am__recursive_targets = \
  158   $(RECURSIVE_TARGETS) \
  159   $(RECURSIVE_CLEAN_TARGETS) \
  160   $(am__extra_recursive_targets)
  161 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  162 	cscope distdir dist dist-all distcheck
  163 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  164 # Read a list of newline-separated strings from the standard input,
  165 # and print each of them once, without duplicates.  Input order is
  166 # *not* preserved.
  167 am__uniquify_input = $(AWK) '\
  168   BEGIN { nonempty = 0; } \
  169   { items[$$0] = 1; nonempty = 1; } \
  170   END { if (nonempty) { for (i in items) print i; }; } \
  171 '
  172 # Make sure the list of sources is unique.  This is necessary because,
  173 # e.g., the same source file might be shared among _SOURCES variables
  174 # for different programs/libraries.
  175 am__define_uniq_tagged_files = \
  176   list='$(am__tagged_files)'; \
  177   unique=`for i in $$list; do \
  178     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  179   done | $(am__uniquify_input)`
  180 ETAGS = etags
  181 CTAGS = ctags
  182 CSCOPE = cscope
  183 DIST_SUBDIRS = $(SUBDIRS)
  184 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  185 distdir = $(PACKAGE)-$(VERSION)
  186 top_distdir = $(distdir)
  187 am__remove_distdir = \
  188   if test -d "$(distdir)"; then \
  189     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  190       && rm -rf "$(distdir)" \
  191       || { sleep 5 && rm -rf "$(distdir)"; }; \
  192   else :; fi
  193 am__post_remove_distdir = $(am__remove_distdir)
  194 am__relativize = \
  195   dir0=`pwd`; \
  196   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  197   sed_rest='s,^[^/]*/*,,'; \
  198   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  199   sed_butlast='s,/*[^/]*$$,,'; \
  200   while test -n "$$dir1"; do \
  201     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  202     if test "$$first" != "."; then \
  203       if test "$$first" = ".."; then \
  204         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  205         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  206       else \
  207         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  208         if test "$$first2" = "$$first"; then \
  209           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  210         else \
  211           dir2="../$$dir2"; \
  212         fi; \
  213         dir0="$$dir0"/"$$first"; \
  214       fi; \
  215     fi; \
  216     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  217   done; \
  218   reldir="$$dir2"
  219 DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
  220 GZIP_ENV = --best
  221 DIST_TARGETS = dist-bzip2 dist-gzip
  222 distuninstallcheck_listfiles = find . -type f -print
  223 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  224   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  225 distcleancheck_listfiles = find . -type f -print
  226 ACLOCAL = @ACLOCAL@
  227 AMTAR = @AMTAR@
  228 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  229 AUTOCONF = @AUTOCONF@
  230 AUTOHEADER = @AUTOHEADER@
  231 AUTOMAKE = @AUTOMAKE@
  232 AWK = @AWK@
  233 CC = @CC@
  234 CCDEPMODE = @CCDEPMODE@
  235 CFLAGS = @CFLAGS@
  236 CPP = @CPP@
  237 CPPFLAGS = @CPPFLAGS@
  238 CYGPATH_W = @CYGPATH_W@
  239 DEFS = @DEFS@
  240 DEPDIR = @DEPDIR@
  241 ECHO_C = @ECHO_C@
  242 ECHO_N = @ECHO_N@
  243 ECHO_T = @ECHO_T@
  244 EGREP = @EGREP@
  245 EXEEXT = @EXEEXT@
  246 GMP_CPPFLAGS = @GMP_CPPFLAGS@
  247 GMP_LDFLAGS = @GMP_LDFLAGS@
  248 GREP = @GREP@
  249 INSTALL = @INSTALL@
  250 INSTALL_DATA = @INSTALL_DATA@
  251 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  252 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  253 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  254 LDFLAGS = @LDFLAGS@
  255 LEX = @LEX@
  256 LEXLIB = @LEXLIB@
  257 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
  258 LIBOBJS = @LIBOBJS@
  259 LIBS = @LIBS@
  260 LTLIBOBJS = @LTLIBOBJS@
  261 MAKEINFO = @MAKEINFO@
  262 MKDIR_P = @MKDIR_P@
  263 MPFR_CPPFLAGS = @MPFR_CPPFLAGS@
  264 MPFR_LDFLAGS = @MPFR_LDFLAGS@
  265 OBJEXT = @OBJEXT@
  266 PACKAGE = @PACKAGE@
  267 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  268 PACKAGE_NAME = @PACKAGE_NAME@
  269 PACKAGE_STRING = @PACKAGE_STRING@
  270 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  271 PACKAGE_URL = @PACKAGE_URL@
  272 PACKAGE_VERSION = @PACKAGE_VERSION@
  273 PATH_SEPARATOR = @PATH_SEPARATOR@
  274 RANLIB = @RANLIB@
  275 SET_MAKE = @SET_MAKE@
  276 SHELL = @SHELL@
  277 STRIP = @STRIP@
  278 VERSION = @VERSION@
  279 YACC = @YACC@
  280 YFLAGS = @YFLAGS@
  281 abs_builddir = @abs_builddir@
  282 abs_srcdir = @abs_srcdir@
  283 abs_top_builddir = @abs_top_builddir@
  284 abs_top_srcdir = @abs_top_srcdir@
  285 ac_ct_CC = @ac_ct_CC@
  286 am__include = @am__include@
  287 am__leading_dot = @am__leading_dot@
  288 am__quote = @am__quote@
  289 am__tar = @am__tar@
  290 am__untar = @am__untar@
  291 bindir = @bindir@
  292 build_alias = @build_alias@
  293 builddir = @builddir@
  294 datadir = @datadir@
  295 datarootdir = @datarootdir@
  296 docdir = @docdir@
  297 dvidir = @dvidir@
  298 exec_prefix = @exec_prefix@
  299 host_alias = @host_alias@
  300 htmldir = @htmldir@
  301 includedir = @includedir@
  302 infodir = @infodir@
  303 install_sh = @install_sh@
  304 libdir = @libdir@
  305 libexecdir = @libexecdir@
  306 localedir = @localedir@
  307 localstatedir = @localstatedir@
  308 mandir = @mandir@
  309 mkdir_p = @mkdir_p@
  310 oldincludedir = @oldincludedir@
  311 pdfdir = @pdfdir@
  312 prefix = @prefix@
  313 program_transform_name = @program_transform_name@
  314 psdir = @psdir@
  315 sbindir = @sbindir@
  316 sharedstatedir = @sharedstatedir@
  317 srcdir = @srcdir@
  318 sysconfdir = @sysconfdir@
  319 target_alias = @target_alias@
  320 top_build_prefix = @top_build_prefix@
  321 top_builddir = @top_builddir@
  322 top_srcdir = @top_srcdir@
  323 SUBDIRS = English.lproj src test
  324 ACLOCAL_AMFLAGS = -I config
  325 EXTRA_DIST = Wcalc.xcodeproj/kyle.mode1 Wcalc.xcodeproj/kyle.pbxuser \
  326 	Wcalc.xcodeproj/project.pbxproj Info.plist graphics/TheW.icns \
  327 	graphics/w.png graphics/Wred.png wcalc.info wcalc.rc \
  328 	wcalc.spec COPYRIGHT $(man_MANS)
  329 man_MANS = wcalc.1
  330 all: all-recursive
  331 
  332 .SUFFIXES:
  333 am--refresh: Makefile
  334 	@:
  335 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
  336 	@for dep in $?; do \
  337 	  case '$(am__configure_deps)' in \
  338 	    *$$dep*) \
  339 	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
  340 	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
  341 		&& exit 0; \
  342 	      exit 1;; \
  343 	  esac; \
  344 	done; \
  345 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  346 	$(am__cd) $(top_srcdir) && \
  347 	  $(AUTOMAKE) --foreign Makefile
  348 .PRECIOUS: Makefile
  349 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  350 	@case '$?' in \
  351 	  *config.status*) \
  352 	    echo ' $(SHELL) ./config.status'; \
  353 	    $(SHELL) ./config.status;; \
  354 	  *) \
  355 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  356 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  357 	esac;
  358 
  359 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  360 	$(SHELL) ./config.status --recheck
  361 
  362 $(top_srcdir)/configure:  $(am__configure_deps)
  363 	$(am__cd) $(srcdir) && $(AUTOCONF)
  364 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  365 	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  366 $(am__aclocal_m4_deps):
  367 install-man1: $(man_MANS)
  368 	@$(NORMAL_INSTALL)
  369 	@list1=''; \
  370 	list2='$(man_MANS)'; \
  371 	test -n "$(man1dir)" \
  372 	  && test -n "`echo $$list1$$list2`" \
  373 	  || exit 0; \
  374 	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
  375 	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
  376 	{ for i in $$list1; do echo "$$i"; done;  \
  377 	if test -n "$$list2"; then \
  378 	  for i in $$list2; do echo "$$i"; done \
  379 	    | sed -n '/\.1[a-z]*$$/p'; \
  380 	fi; \
  381 	} | while read p; do \
  382 	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  383 	  echo "$$d$$p"; echo "$$p"; \
  384 	done | \
  385 	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
  386 	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  387 	sed 'N;N;s,\n, ,g' | { \
  388 	list=; while read file base inst; do \
  389 	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  390 	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
  391 	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
  392 	  fi; \
  393 	done; \
  394 	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  395 	while read files; do \
  396 	  test -z "$$files" || { \
  397 	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
  398 	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
  399 	done; }
  400 
  401 uninstall-man1:
  402 	@$(NORMAL_UNINSTALL)
  403 	@list=''; test -n "$(man1dir)" || exit 0; \
  404 	files=`{ for i in $$list; do echo "$$i"; done; \
  405 	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  406 	  sed -n '/\.1[a-z]*$$/p'; \
  407 	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
  408 	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  409 	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
  410 
  411 # This directory's subdirectories are mostly independent; you can cd
  412 # into them and run 'make' without going through this Makefile.
  413 # To change the values of 'make' variables: instead of editing Makefiles,
  414 # (1) if the variable is set in 'config.status', edit 'config.status'
  415 #     (which will cause the Makefiles to be regenerated when you run 'make');
  416 # (2) otherwise, pass the desired values on the 'make' command line.
  417 $(am__recursive_targets):
  418 	@fail=; \
  419 	if $(am__make_keepgoing); then \
  420 	  failcom='fail=yes'; \
  421 	else \
  422 	  failcom='exit 1'; \
  423 	fi; \
  424 	dot_seen=no; \
  425 	target=`echo $@ | sed s/-recursive//`; \
  426 	case "$@" in \
  427 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  428 	  *) list='$(SUBDIRS)' ;; \
  429 	esac; \
  430 	for subdir in $$list; do \
  431 	  echo "Making $$target in $$subdir"; \
  432 	  if test "$$subdir" = "."; then \
  433 	    dot_seen=yes; \
  434 	    local_target="$$target-am"; \
  435 	  else \
  436 	    local_target="$$target"; \
  437 	  fi; \
  438 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  439 	  || eval $$failcom; \
  440 	done; \
  441 	if test "$$dot_seen" = "no"; then \
  442 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  443 	fi; test -z "$$fail"
  444 
  445 ID: $(am__tagged_files)
  446 	$(am__define_uniq_tagged_files); mkid -fID $$unique
  447 tags: tags-recursive
  448 TAGS: tags
  449 
  450 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  451 	set x; \
  452 	here=`pwd`; \
  453 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  454 	  include_option=--etags-include; \
  455 	  empty_fix=.; \
  456 	else \
  457 	  include_option=--include; \
  458 	  empty_fix=; \
  459 	fi; \
  460 	list='$(SUBDIRS)'; for subdir in $$list; do \
  461 	  if test "$$subdir" = .; then :; else \
  462 	    test ! -f $$subdir/TAGS || \
  463 	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  464 	  fi; \
  465 	done; \
  466 	$(am__define_uniq_tagged_files); \
  467 	shift; \
  468 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  469 	  test -n "$$unique" || unique=$$empty_fix; \
  470 	  if test $$# -gt 0; then \
  471 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  472 	      "$$@" $$unique; \
  473 	  else \
  474 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  475 	      $$unique; \
  476 	  fi; \
  477 	fi
  478 ctags: ctags-recursive
  479 
  480 CTAGS: ctags
  481 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  482 	$(am__define_uniq_tagged_files); \
  483 	test -z "$(CTAGS_ARGS)$$unique" \
  484 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  485 	     $$unique
  486 
  487 GTAGS:
  488 	here=`$(am__cd) $(top_builddir) && pwd` \
  489 	  && $(am__cd) $(top_srcdir) \
  490 	  && gtags -i $(GTAGS_ARGS) "$$here"
  491 cscope: cscope.files
  492 	test ! -s cscope.files \
  493 	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  494 clean-cscope:
  495 	-rm -f cscope.files
  496 cscope.files: clean-cscope cscopelist
  497 cscopelist: cscopelist-recursive
  498 
  499 cscopelist-am: $(am__tagged_files)
  500 	list='$(am__tagged_files)'; \
  501 	case "$(srcdir)" in \
  502 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  503 	  *) sdir=$(subdir)/$(srcdir) ;; \
  504 	esac; \
  505 	for i in $$list; do \
  506 	  if test -f "$$i"; then \
  507 	    echo "$(subdir)/$$i"; \
  508 	  else \
  509 	    echo "$$sdir/$$i"; \
  510 	  fi; \
  511 	done >> $(top_builddir)/cscope.files
  512 
  513 distclean-tags:
  514 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  515 	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  516 
  517 distdir: $(DISTFILES)
  518 	$(am__remove_distdir)
  519 	test -d "$(distdir)" || mkdir "$(distdir)"
  520 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  521 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  522 	list='$(DISTFILES)'; \
  523 	  dist_files=`for file in $$list; do echo $$file; done | \
  524 	  sed -e "s|^$$srcdirstrip/||;t" \
  525 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  526 	case $$dist_files in \
  527 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  528 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  529 			   sort -u` ;; \
  530 	esac; \
  531 	for file in $$dist_files; do \
  532 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  533 	  if test -d $$d/$$file; then \
  534 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  535 	    if test -d "$(distdir)/$$file"; then \
  536 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  537 	    fi; \
  538 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  539 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  540 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  541 	    fi; \
  542 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  543 	  else \
  544 	    test -f "$(distdir)/$$file" \
  545 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  546 	    || exit 1; \
  547 	  fi; \
  548 	done
  549 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  550 	  if test "$$subdir" = .; then :; else \
  551 	    $(am__make_dryrun) \
  552 	      || test -d "$(distdir)/$$subdir" \
  553 	      || $(MKDIR_P) "$(distdir)/$$subdir" \
  554 	      || exit 1; \
  555 	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  556 	    $(am__relativize); \
  557 	    new_distdir=$$reldir; \
  558 	    dir1=$$subdir; dir2="$(top_distdir)"; \
  559 	    $(am__relativize); \
  560 	    new_top_distdir=$$reldir; \
  561 	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  562 	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  563 	    ($(am__cd) $$subdir && \
  564 	      $(MAKE) $(AM_MAKEFLAGS) \
  565 	        top_distdir="$$new_top_distdir" \
  566 	        distdir="$$new_distdir" \
  567 		am__remove_distdir=: \
  568 		am__skip_length_check=: \
  569 		am__skip_mode_fix=: \
  570 	        distdir) \
  571 	      || exit 1; \
  572 	  fi; \
  573 	done
  574 	-test -n "$(am__skip_mode_fix)" \
  575 	|| find "$(distdir)" -type d ! -perm -755 \
  576 		-exec chmod u+rwx,go+rx {} \; -o \
  577 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  578 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  579 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  580 	|| chmod -R a+r "$(distdir)"
  581 dist-gzip: distdir
  582 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  583 	$(am__post_remove_distdir)
  584 dist-bzip2: distdir
  585 	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  586 	$(am__post_remove_distdir)
  587 
  588 dist-lzip: distdir
  589 	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  590 	$(am__post_remove_distdir)
  591 
  592 dist-xz: distdir
  593 	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  594 	$(am__post_remove_distdir)
  595 
  596 dist-tarZ: distdir
  597 	@echo WARNING: "Support for shar distribution archives is" \
  598 	               "deprecated." >&2
  599 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  600 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  601 	$(am__post_remove_distdir)
  602 
  603 dist-shar: distdir
  604 	@echo WARNING: "Support for distribution archives compressed with" \
  605 		       "legacy program 'compress' is deprecated." >&2
  606 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  607 	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  608 	$(am__post_remove_distdir)
  609 
  610 dist-zip: distdir
  611 	-rm -f $(distdir).zip
  612 	zip -rq $(distdir).zip $(distdir)
  613 	$(am__post_remove_distdir)
  614 
  615 dist dist-all:
  616 	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  617 	$(am__post_remove_distdir)
  618 
  619 # This target untars the dist file and tries a VPATH configuration.  Then
  620 # it guarantees that the distribution is self-contained by making another
  621 # tarfile.
  622 distcheck: dist
  623 	case '$(DIST_ARCHIVES)' in \
  624 	*.tar.gz*) \
  625 	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
  626 	*.tar.bz2*) \
  627 	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  628 	*.tar.lz*) \
  629 	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  630 	*.tar.xz*) \
  631 	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  632 	*.tar.Z*) \
  633 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  634 	*.shar.gz*) \
  635 	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
  636 	*.zip*) \
  637 	  unzip $(distdir).zip ;;\
  638 	esac
  639 	chmod -R a-w $(distdir)
  640 	chmod u+w $(distdir)
  641 	mkdir $(distdir)/_build $(distdir)/_inst
  642 	chmod a-w $(distdir)
  643 	test -d $(distdir)/_build || exit 0; \
  644 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  645 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  646 	  && am__cwd=`pwd` \
  647 	  && $(am__cd) $(distdir)/_build \
  648 	  && ../configure \
  649 	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  650 	    $(DISTCHECK_CONFIGURE_FLAGS) \
  651 	    --srcdir=.. --prefix="$$dc_install_base" \
  652 	  && $(MAKE) $(AM_MAKEFLAGS) \
  653 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
  654 	  && $(MAKE) $(AM_MAKEFLAGS) check \
  655 	  && $(MAKE) $(AM_MAKEFLAGS) install \
  656 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  657 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  658 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  659 	        distuninstallcheck \
  660 	  && chmod -R a-w "$$dc_install_base" \
  661 	  && ({ \
  662 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  663 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  664 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  665 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  666 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  667 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
  668 	  && rm -rf "$$dc_destdir" \
  669 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
  670 	  && rm -rf $(DIST_ARCHIVES) \
  671 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  672 	  && cd "$$am__cwd" \
  673 	  || exit 1
  674 	$(am__post_remove_distdir)
  675 	@(echo "$(distdir) archives ready for distribution: "; \
  676 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  677 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  678 distuninstallcheck:
  679 	@test -n '$(distuninstallcheck_dir)' || { \
  680 	  echo 'ERROR: trying to run $@ with an empty' \
  681 	       '$$(distuninstallcheck_dir)' >&2; \
  682 	  exit 1; \
  683 	}; \
  684 	$(am__cd) '$(distuninstallcheck_dir)' || { \
  685 	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  686 	  exit 1; \
  687 	}; \
  688 	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  689 	   || { echo "ERROR: files left after uninstall:" ; \
  690 	        if test -n "$(DESTDIR)"; then \
  691 	          echo "  (check DESTDIR support)"; \
  692 	        fi ; \
  693 	        $(distuninstallcheck_listfiles) ; \
  694 	        exit 1; } >&2
  695 distcleancheck: distclean
  696 	@if test '$(srcdir)' = . ; then \
  697 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  698 	  exit 1 ; \
  699 	fi
  700 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  701 	  || { echo "ERROR: files left in build directory after distclean:" ; \
  702 	       $(distcleancheck_listfiles) ; \
  703 	       exit 1; } >&2
  704 check-am: all-am
  705 check: check-recursive
  706 all-am: Makefile $(MANS)
  707 installdirs: installdirs-recursive
  708 installdirs-am:
  709 	for dir in "$(DESTDIR)$(man1dir)"; do \
  710 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  711 	done
  712 install: install-recursive
  713 install-exec: install-exec-recursive
  714 install-data: install-data-recursive
  715 uninstall: uninstall-recursive
  716 
  717 install-am: all-am
  718 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  719 
  720 installcheck: installcheck-recursive
  721 install-strip:
  722 	if test -z '$(STRIP)'; then \
  723 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  724 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  725 	      install; \
  726 	else \
  727 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  728 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  729 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  730 	fi
  731 mostlyclean-generic:
  732 
  733 clean-generic:
  734 
  735 distclean-generic:
  736 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  737 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  738 
  739 maintainer-clean-generic:
  740 	@echo "This command is intended for maintainers to use"
  741 	@echo "it deletes files that may require special tools to rebuild."
  742 clean: clean-recursive
  743 
  744 clean-am: clean-generic clean-local mostlyclean-am
  745 
  746 distclean: distclean-recursive
  747 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  748 	-rm -f Makefile
  749 distclean-am: clean-am distclean-generic distclean-tags
  750 
  751 dvi: dvi-recursive
  752 
  753 dvi-am:
  754 
  755 html: html-recursive
  756 
  757 html-am:
  758 
  759 info: info-recursive
  760 
  761 info-am:
  762 
  763 install-data-am: install-man
  764 
  765 install-dvi: install-dvi-recursive
  766 
  767 install-dvi-am:
  768 
  769 install-exec-am:
  770 
  771 install-html: install-html-recursive
  772 
  773 install-html-am:
  774 
  775 install-info: install-info-recursive
  776 
  777 install-info-am:
  778 
  779 install-man: install-man1
  780 
  781 install-pdf: install-pdf-recursive
  782 
  783 install-pdf-am:
  784 
  785 install-ps: install-ps-recursive
  786 
  787 install-ps-am:
  788 
  789 installcheck-am:
  790 
  791 maintainer-clean: maintainer-clean-recursive
  792 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  793 	-rm -rf $(top_srcdir)/autom4te.cache
  794 	-rm -f Makefile
  795 maintainer-clean-am: distclean-am maintainer-clean-generic
  796 
  797 mostlyclean: mostlyclean-recursive
  798 
  799 mostlyclean-am: mostlyclean-generic
  800 
  801 pdf: pdf-recursive
  802 
  803 pdf-am:
  804 
  805 ps: ps-recursive
  806 
  807 ps-am:
  808 
  809 uninstall-am: uninstall-man
  810 
  811 uninstall-man: uninstall-man1
  812 
  813 .MAKE: $(am__recursive_targets) install-am install-strip
  814 
  815 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
  816 	am--refresh check check-am clean clean-cscope clean-generic \
  817 	clean-local cscope cscopelist-am ctags ctags-am dist dist-all \
  818 	dist-bzip2 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz \
  819 	dist-zip distcheck distclean distclean-generic distclean-tags \
  820 	distcleancheck distdir distuninstallcheck dvi dvi-am html \
  821 	html-am info info-am install install-am install-data \
  822 	install-data-am install-dvi install-dvi-am install-exec \
  823 	install-exec-am install-html install-html-am install-info \
  824 	install-info-am install-man install-man1 install-pdf \
  825 	install-pdf-am install-ps install-ps-am install-strip \
  826 	installcheck installcheck-am installdirs installdirs-am \
  827 	maintainer-clean maintainer-clean-generic mostlyclean \
  828 	mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
  829 	uninstall-am uninstall-man uninstall-man1
  830 
  831 clean-local:
  832 	$(RM) parser.h parser.c scanner.c
  833 
  834 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  835 # Otherwise a system limit (for SysV at least) may be exceeded.
  836 .NOEXPORT: